> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all portfolio book relationships



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/Portfolios/PortfolioBookRelationships
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Portfolios/PortfolioBookRelationships:
    get:
      tags:
        - Portfolios
      summary: List all portfolio book relationships
      operationId: GetPortfolioBookRelationships
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetPortfolioBookRelationshipsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetPortfolioBookRelationshipsResponse:
      example:
        portfolio_book_relationships:
          - children:
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
            parents:
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
          - children:
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
            parents:
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
              - access_type: view
                is_active: true
                name: name
                description: description
                group_type: portfolio
                portfolio_type: derivitec
                link_id: 0
                group_key: group_key
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        portfolio_book_relationships:
          items:
            $ref: '#/components/schemas/PortfolioBookRelationship'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Portfolios.ApiGetPortfolioBookRelationshipsResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    PortfolioBookRelationship:
      example:
        children:
          - access_type: view
            is_active: true
            name: name
            description: description
            group_type: portfolio
            portfolio_type: derivitec
            link_id: 0
            group_key: group_key
          - access_type: view
            is_active: true
            name: name
            description: description
            group_type: portfolio
            portfolio_type: derivitec
            link_id: 0
            group_key: group_key
        parents:
          - access_type: view
            is_active: true
            name: name
            description: description
            group_type: portfolio
            portfolio_type: derivitec
            link_id: 0
            group_key: group_key
          - access_type: view
            is_active: true
            name: name
            description: description
            group_type: portfolio
            portfolio_type: derivitec
            link_id: 0
            group_key: group_key
      properties:
        name:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        group_type:
          enum:
            - portfolio
            - book
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        access_type:
          enum:
            - view
            - edit
            - full
            - owner
          type: string
        link_id:
          format: int32
          type: integer
        is_active:
          type: boolean
        group_key:
          nullable: true
          readOnly: true
          type: string
        parents:
          items:
            $ref: '#/components/schemas/PortfolioBookInfo'
          nullable: true
          type: array
        children:
          items:
            $ref: '#/components/schemas/PortfolioBookInfo'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Portfolios.PortfolioBookRelationship,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    PortfolioBookInfo:
      discriminator:
        mapping:
          Derivitec.Web.Core.Portfolios.PortfolioBookInfo, Derivitec.Web.Core: '#/components/schemas/PortfolioBookInfoMintlifyShape'
          Derivitec.Web.Core.Portfolios.PortfolioBookRelationship, Derivitec.Web.Core: '#/components/schemas/PortfolioBookRelationship'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/PortfolioBookInfoMintlifyShape'
        - $ref: '#/components/schemas/PortfolioBookRelationship'
    PortfolioBookInfoMintlifyShape:
      example:
        access_type: view
        is_active: true
        name: name
        description: description
        group_type: portfolio
        portfolio_type: derivitec
        link_id: 0
        group_key: group_key
      properties:
        name:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        group_type:
          enum:
            - portfolio
            - book
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        access_type:
          enum:
            - view
            - edit
            - full
            - owner
          type: string
        link_id:
          format: int32
          type: integer
        is_active:
          type: boolean
        group_key:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Portfolios.PortfolioBookInfo,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````